package com.cpms.project.process.domain;

import com.cpms.common.annotation.Excel;
import com.cpms.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * SIF Overview List对象 t_sif_overview
 *
 * @author admin
 * @date 2024-05-22
 */
public class TSifVo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * SN
     */
    @Excel(name = "SN")
    private String sifNo;

    /**
     * 装置/单元
     */
    @Excel(name = "装置/单元")
    private String plant;

    /**
     * SIF位号
     */
    @Excel(name = "SIF位号")
    private String sifTag;

    /**
     * Deviation
     */
    @Excel(name = "Deviation")
    private String deviation;

    /**
     * 工艺风险分析文件
     */
    @Excel(name = "工艺风险分析文件")
    private String riskAnalysis;

    /**
     * CAUSE and CONSEQUENCE
     */
    @Excel(name = "CAUSE and CONSEQUENCE")
    private String causeConsequence;

    /**
     * 要求的SIL
     */
    @Excel(name = "要求的SIL")
    private String requiredSil;

    /**
     * 实现的SIL
     */
    @Excel(name = "实现的SIL")
    private String acheievedSil;

    /**
     * 版本
     */
    @Excel(name = "版本")
    private String ver;

    /**
     * 要求时的平均失效概率
     */
    @Excel(name = "要求时的平均失效概率")
    private String pfdavg;

    /**
     * 传感器位号
     */
    @Excel(name = "传感器位号")
    private String sensorTag;

    /**
     * 类型
     */
    @Excel(name = "类型")
    private String type;

    /**
     * 用途
     */
    @Excel(name = "用途")
    private String service;

    /**
     * 表决
     */
    @Excel(name = "表决")
    private String votingQ;

    /**
     * 联锁条件
     */
    @Excel(name = "联锁条件")
    private String condition;

    /**
     * 测试周期
     */
    @Excel(name = "测试周期")
    private String mainPti;

    /**
     * 最终元件位号
     */
    @Excel(name = "最终元件位号")
    private String finalElementTag;

    /** h */
    @Excel(name = "h")
    private String h;

    /** 类型 */
    @Excel(name = "类型")
    private String hType;

    /** 用途 */
    @Excel(name = "用途")
    private String hService;

    /**
     * 表决
     */
    @Excel(name = "表决")
    private String votingH;

    /**
     * 联锁动作
     */
    @Excel(name = "联锁动作")
    private String action;

    /**
     * 测试周期
     */
    @Excel(name = "测试周期")
    private String mainPtiH;

    /**
     * Filter
     */
    @Excel(name = "Filter")
    private String filter;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remarks;

    /**
     * 删除标识
     */
    private Integer delFlag;

    /**
     * 创建人
     */
    @Excel(name = "创建人")
    private String createrCode;

    /**
     * 创建日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "创建日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /**
     * 更新人
     */
    @Excel(name = "更新人")
    private String updaterCode;

    /**
     * 更新日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "更新日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /**
     * 部门编号
     */
    @Excel(name = "部门编号")
    private Long deptId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getSifNo() {
        return sifNo;
    }

    public void setSifNo(String sifNo) {
        this.sifNo = sifNo;
    }

    public String getPlant() {
        return plant;
    }

    public void setPlant(String plant) {
        this.plant = plant;
    }

    public String getSifTag() {
        return sifTag;
    }

    public void setSifTag(String sifTag) {
        this.sifTag = sifTag;
    }

    public String getDeviation() {
        return deviation;
    }

    public void setDeviation(String deviation) {
        this.deviation = deviation;
    }

    public String getRiskAnalysis() {
        return riskAnalysis;
    }

    public void setRiskAnalysis(String riskAnalysis) {
        this.riskAnalysis = riskAnalysis;
    }

    public String getCauseConsequence() {
        return causeConsequence;
    }

    public void setCauseConsequence(String causeConsequence) {
        this.causeConsequence = causeConsequence;
    }

    public String getRequiredSil() {
        return requiredSil;
    }

    public void setRequiredSil(String requiredSil) {
        this.requiredSil = requiredSil;
    }

    public String getAcheievedSil() {
        return acheievedSil;
    }

    public void setAcheievedSil(String acheievedSil) {
        this.acheievedSil = acheievedSil;
    }

    public String getVer() {
        return ver;
    }

    public void setVer(String ver) {
        this.ver = ver;
    }

    public String getPfdavg() {
        return pfdavg;
    }

    public void setPfdavg(String pfdavg) {
        this.pfdavg = pfdavg;
    }

    public String getSensorTag() {
        return sensorTag;
    }

    public void setSensorTag(String sensorTag) {
        this.sensorTag = sensorTag;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getService() {
        return service;
    }

    public void setService(String service) {
        this.service = service;
    }

    public String getVotingQ() {
        return votingQ;
    }

    public void setVotingQ(String votingQ) {
        this.votingQ = votingQ;
    }

    public String getCondition() {
        return condition;
    }

    public void setCondition(String condition) {
        this.condition = condition;
    }

    public String getMainPti() {
        return mainPti;
    }

    public void setMainPti(String mainPti) {
        this.mainPti = mainPti;
    }

    public String getFinalElementTag() {
        return finalElementTag;
    }

    public void setFinalElementTag(String finalElementTag) {
        this.finalElementTag = finalElementTag;
    }

    public String getVotingH() {
        return votingH;
    }

    public void setVotingH(String votingH) {
        this.votingH = votingH;
    }

    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }

    public String getMainPtiH() {
        return mainPtiH;
    }

    public void setMainPtiH(String mainPtiH) {
        this.mainPtiH = mainPtiH;
    }

    public String getFilter() {
        return filter;
    }

    public void setFilter(String filter) {
        this.filter = filter;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public String getCreaterCode() {
        return createrCode;
    }

    public void setCreaterCode(String createrCode) {
        this.createrCode = createrCode;
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public String getUpdaterCode() {
        return updaterCode;
    }

    public void setUpdaterCode(String updaterCode) {
        this.updaterCode = updaterCode;
    }

    public Date getUpdatedate() {
        return updatedate;
    }

    public void setUpdatedate(Date updatedate) {
        this.updatedate = updatedate;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getH() {
        return h;
    }

    public void setH(String h) {
        this.h = h;
    }

    public String gethType() {
        return hType;
    }

    public void sethType(String hType) {
        this.hType = hType;
    }

    public String gethService() {
        return hService;
    }

    public void sethService(String hService) {
        this.hService = hService;
    }
}
